Description

This patch makes wiki formatting pluggable.

You can add a new wiki formatting as a plugin. For example, I wrote RD plugin. This provides redmine with Ruby Document Format,

which is the format Ruby Issue Tracking System uses.

textile plugin

In the patch [[make-wiki-formatters-pluggable.patch]], textile formatter is still embedded in Redmine.

But it is possible to extract the embedded textile formatting from redmine. [[extract-textile-formatting-as-a-plugin.patch]] does this.

Perhaps, this patch needs git-am(1) because it renames some files.

Related issues:

Related to Redmine - Feature #2166: Extend Textile syntax via plugin Closed 2008-11-12

Related to Redmine - Feature #35889: Textile and Markdown attachment renderin... New

Associated revisions

Revision 1955 - 2008-10-27 12:08 - Jean-Philippe Lang

Makes wiki text formatter pluggable.

Original patch #2025 by Yuki Sonoda slightly edited.

History

#1 - 2008-10-12 05:43 - Yuki Sonoda

Oops, URL for my RD plugin was wrong. It is http://github.com/yugui/redmine_rd_formatter.

#2 - 2008-10-16 08:10 - James Turnbull

+1.

#3 - 2008-10-27 12:26 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

This nice feature which is committed in r1955 with minor changes.

One thing concerning your RD plugin:

I removed the jstoolbar stylesheet include tag from the base layout so that plugins can use other libraries to render the toolbar. So, you'll have to add

it in #heads_for_wiki_formatter. It would look like this:

def heads_for_wiki_formatter

  stylesheet_link_tag('jstoolbar') +

  stylesheet_link_tag('rd', :plugin => 'redmine_rd_formatter')

end

 Your plugin was tested OK with this change.

Concerning your second patch, I prefer to keep the Textile formatter bundled in the app because I don't want to rely on Engines' mirror files

mechanism for such a core functionality.

Thanks.

#4 - 2008-11-09 13:06 - Yuki Sonoda
http://github.com/yugui/remine_rd_formatter
http://en.wikipedia.org/wiki/Ruby_Document_format
http://redmine.ruby-lang.org
https://www.redmine.org/attachments/1030
https://www.redmine.org/attachments/1031
http://github.com/yugui/redmine_rd_formatter
https://www.redmine.org/projects/redmine/repository/svn/revisions/1955


Thank you, Jean-Phillipe. I committed the change you suggested into http://github.com/yugui/redmine_rd_formatter/tree/master.

And I think this plugin can show the best example of wiki formatter implementation for plugin developers. Could you add the plugin to 

http://www.redmine.org/wiki/redmine/Plugins ?

#5 - 2008-11-09 13:18 - Jean-Philippe Lang

Indeed, a link to your plugin was added to the plugin list.

#6 - 2021-09-18 13:07 - Mischa The Evil

- Related to Feature #35889: Textile and Markdown attachment rendering should support third-party formatters added

Files

make-wiki-formatters-pluggable.patch 31.8 KB 2008-10-12 Yuki Sonoda

extract-textile-formatting-as-a-plugin.patch 236 KB 2008-10-12 Yuki Sonoda
